ARK(1)

NOMBRE
ark - Herramienta de compresión de KDE

SINOPSIS

ark [-b] [-a] [-e] [-c] [-f sufijo] [-p] [-t archivo] [-d] [-o directorio] [Opciones genéricas de KDE] [Opciones genéricas de Qt(TM)]

DESCRIPCIÓN

Ark es un programa de KDE para manejar varios formatos de archivos comprimidos. Los archivos comprimidos se pueden visualizar, extraer, crear y modificar con Ark. El programa puede manejar diversos formatos, como tar, gzip, bzip2, zip, y rar (siempre que estén instalados los programas o bibliotecas correspondientes).

MODOS DE OPERACIÓN

Ark se puede usar como un programa gráfico independiente o como un programa de la línea de órdenes para realizar algunas tareas específicas.

Si se llama sin las opciones -b (--batch) ni -c (-add), Ark se inicia como un programa gráfico normal.

Cuando se usa la opción -b (--batch), Ark se puede utilizar para extraer el contenido de uno o más archivos directamente desde la línea de órdenes, sin lanzar su interfaz gráfica.

Cuando se usa la opción -c (-add), Ark solicita los archivos que se van a añadir a un archivo comprimido nuevo o ya existente.

OPCIONES

-d, --dialog
    Muestra un diálogo para especificar las opciones de una operación por lotes o de añadir archivos.

-o, --destination directorio
    Especifica el directorio de extracción por omisión. Si no se indica se usará la ruta actual.

  Opciones para añadir archivos

-c, --add
    Solicita al usuario el un nombre de archivo comprimido al que añadir los archivos especificados. Sale cuando finaliza.

-t, --add-to archivo
    Añade los archivos especificados al archivo indicado. Crea el archivo comprimido si no existe. Sale cuando finaliza.

-p, --changetofirstpath
    Cambia el directorio actual a la primera entrada y añade el resto de entradas relativas a ésta.

-f, --autofilename sufijo
    Escoge un nombre de archivo automáticamente usando el sufijo proporcionado (por ejemplo, rar, tar.gz, zip o cualquier tipo permitido).

  Opciones para la extracción por lotes

b, --batch
    Usar la interfaz por lotes en lugar del diálogo normal. Esta opción se da por supuesta si se especifica más de un URL.

-e, --autodestination
    El argumento de destino se fijará a la ruta del primer archivo suministrado.

-a, --autosubfolder
    Se leerá el contenido del archivo comprimido y, si se detecta que no se trata de un archivo de una única carpeta, se creará una subcarpeta con el nombre del archivo comprimido.

EJEMPLOS

ark --batch archivo.tar.bz2
    Extraerá archivo.tar.bz2 en el directorio actual sin mostrar ninguna interfaz gráfica.

ark -b -d archivo.tar.bz2 archivo2.zip
    Mostrará primero un diálogo con opciones de extracción y luego extraerá archivo.tar.bz2 y archivo2.zip en el directorio escogido en el diálogo.

ark --add-to mi-archivo.zip foto1.jpg texto.txt
    Creará mi-archivo.zip si no existe y luego se le añadirán foto1.jpg y texto.txt.

AUTORES

Los encargados actuales de Ark son Harald Hvaal<haraldhv@stud.ntnu.no> y Raphael Kubo da Costa<kubito@gmail.com>.

Esta página de manual fue escrita por Lauri Watts<lauri@kde.org> en 2005 para KDE 3.4, y fue modificada posteriormente en 2009 por Raphael Kubo da Costa<kubito@gmail.com>.

AUTORES

Lauri Watts <lauri@kde.org>
    Autor.

Raphael Kubo da Costa <kubito@gmail.com>
    Autor.